Unresolved Dependencies Error When Installing Software to RT PXI Target

Updated Jun 19, 2020

Reported In

Hardware

  • PXI Controller

Driver

  • PXI Platform Services

Issue Details

I'm trying to install software to my Real-Time PXI Controller, and I receive the following error:

Cannot continue because of the following unresolved dependencies:

NI Web-based Configuration and Monitoring 11.5.0 requires NIAuth Web Services 11.5.0
NI System Configuration Remote SUpport 5.1.0 requires NIAuth 2.0.0

Solution

This error is likely because PXI Platform Services driver is not installed.
  1. Install the compatible driver for your hardware and operating system.
  2. After PXI Platform Services is installed, retry installing the software to the controller.
If the PXI Platform Services driver is already installed.
  1. Update the NI System Configuration to the latest version.